Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05963 Graphics Minor Always Jun 10, 2015, 21:37 Dec 13, 2015, 20:26
Tester -MAME Source- View Status Public Platform MAME (Official Binary)
Assigned To Haze Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver megasys1.cpp
Version 0.162 Fixed in Version 0.169 Build 64-bit
Summary 05963: tshingen, tshingna: Missing graphical mosaic/resolution effect
Description When player has the flashing sword powerup, killed enemies should fall and turn blocky almost like a mosaic effect.

I made a recording of the PCB doing this - has been verified with multiple ROM boards and multiple motherboards.

Steps To Reproduce Start game, collect sword powerup (RA in English set), kill an enemy.
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems tshingen, tshingna
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.11746
Tafoid
Administrator
Jun 10, 2015, 23:34
This is mentioned in the source code under TODO at the top:
- tshingen: unemulated mosaic effect when killing enemies with the flashing sword.
  See

  The effect can be tested in e.g. stdragon and p47 test mode:
  See
and

User avatar
No.12234
Haze
Senior Tester
Dec 12, 2015, 04:19
this has been added using code provided by the FBA team.